Subject: Re: BUG: umount / && mount d:/ / doesn't work.
From: [email-masked] (Earnie Boyd)

1 Sep 1998 03:52:15 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: gw32 <[email-masked]>
Cc: Andrew Dalgleish <[email-masked]>

It doesn't work as jeff described below either.  I've done some
further testing.  If I create values for the HKEY_LOCAL_MACHINE for
the root directory then that is what is created as the default for
HKEY_CURRENT_USER and HKEY_USER.  I still get a `device busy' error
with mount.

I might add that I'm on an NT3.51 client and that I have full
administrative privileges set.  It is possible that this error only
occurs when full adminstrative privileges are set.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

---jeffdb <[email-masked]> wrote:
>
> It still works but you must use 2 consoles
> both in the same directory as mount.exe
> double click /Cygnus/B19/H-i386-cygwin32/bin/bash.exe twice (or
wherever bash is)
> umount /
> in one console
> switch to the other and
> mount -b g:/  /
> 
> On Fri, 28 Aug 1998 06:56:41 -0700 (PDT), you wrote:
> 
> >I've just found that in order to change the root directory to
> >something other than c:\ that I must use regedt32 and modify the key
> >value.
> >
> >I found this bug when trying to explain the process to someone else. 
> >I modified my mounted root directory with `umount / && mount d:/ /'
> >and found that it did the umount and immediately pointed the / to c:
> >so that when it executed the mount command mount complained about a
> >`busy device'.  I tried this sequence also under MSDOS with nothing
> >else running and got the same results.
> >
> >This used to work in b18, so if I were looking for the problem (which
> >I won't be) I would look at the code that changed for the addition of
> >the HKEY_LOCAL_MACHINE registry entry.
> >
> >==
> >-        \\||//
> >---o0O0--Earnie--0O0o----
> >[email-masked]
> >------ooo0O--O0ooo-------
> >
> >
> >
> >_________________________________________________________
> >DO YOU YAHOO!?
> >Get your free @yahoo.com address at http://mail.yahoo.com
> >
> >-
> >For help on using this list (especially unsubscribing), send a
message to
> >"[email-masked]" with one line of text: "help".
> 
> 

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".